#include "../include/Data.h"

namespace environment {
namespace data {

  bool Data::write (uint32_t address, uint32_t size, char * & data_src)
  {
    uint32_t num_seg = 0;
    bool     res     = false;
    for (num_seg = 0; num_seg < nb_seg; num_seg ++)
      if (segment[num_seg]->test (address,size) == true)
	{
	  segment[num_seg]->write (address,size,data_src);
	  res = true;
	  break;
	}
    
    return res;
  }
  
};
};
